package domain

type AlibabaHmMarketingFullrangeQueryitemMarketPageResult struct {
	/*
	   总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   查询结果信息     */
	Message *string `json:"message,omitempty" `

	/*
	   当前页数     */
	Current *int64 `json:"current,omitempty" `

	/*
	   查询结果数据     */
	SkuList *[]AlibabaHmMarketingFullrangeQueryitemItemPoolSku `json:"sku_list,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   页数size     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `
}

func (s *AlibabaHmMarketingFullrangeQueryitemMarketPageResult) SetTotal(v int64) *AlibabaHmMarketingFullrangeQueryitemMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemMarketPageResult) SetMessage(v string) *AlibabaHmMarketingFullrangeQueryitemMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemMarketPageResult) SetCurrent(v int64) *AlibabaHmMarketingFullrangeQueryitemMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemMarketPageResult) SetSkuList(v []AlibabaHmMarketingFullrangeQueryitemItemPoolSku) *AlibabaHmMarketingFullrangeQueryitemMarketPageResult {
	s.SkuList = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemMarketPageResult) SetErrorCode(v string) *AlibabaHmMarketingFullrangeQueryitemMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemMarketPageResult) SetPageSize(v int64) *AlibabaHmMarketingFullrangeQueryitemMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemMarketPageResult) SetSuccess(v bool) *AlibabaHmMarketingFullrangeQueryitemMarketPageResult {
	s.Success = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryitemMarketPageResult) SetTotalPage(v int64) *AlibabaHmMarketingFullrangeQueryitemMarketPageResult {
	s.TotalPage = &v
	return s
}
